001-005688

パッケージ版 Garoon

関心あり
0人の方が関心を示しています。

lwc.iniにデータベースのポート番号が設定されていない場合、ガルーン 3.5.0へのバージョンアップに失敗する。

種別
不具合
機能
  • バージョンアップ プログラム
再現バージョン
  • 3.5.0
  • Ver Up Program 1.0.4
改修バージョン
公開日
2012-03-12
更新日
2013-04-24

【発生条件】

  • lwc.iniのprop:_hostにポート番号が設定されていない。

    補足:
    • lwc.iniは次のディレクトリーに配置されています。
      /(cgi実行ディレクトリー)/(インストール識別子)/lwc.ini

    • バージョン2.1.3から2.5.xへバージョンアップした場合、lwc.iniのprop:_hostにポート番号が設定されません。

     

【準備】

  1. バージョン 2.1.3 のガルーンをインストールします。

  2. バージョン 2.5.x のガルーンへバージョンアップします。

    補足:
    バージョンアッププログラム 1.0.4 を利用してバージョンアップを行います。

 

【再現手順】

  1. バージョン 3.5.0 のガルーンへバージョンアップします。

→現象発生:
 次のエラーが表示され、バージョンアップに失敗します。

 ----------------
 バージョンアップスクリプトが異常終了しました。(2) サイボウズオフィシャルパートナー、または販売元にお問い合わせください。
 ----------------

 

補足:

  • バージョン 3.7.0へのバージョンアップ時には、本現象は発生しません。

【回避方法】

 

バージョン 3.5.0へのバージョンアップ前に、lwc.iniのprop:_hostにポート番号が設定されていることを確認して下さい。
ポート番号が設定されていない場合は、追記を行なった上でバージョンアップを実施してください。

  1. lwc.iniのprop:_hostの設定を確認します。

  2. ポート番号が設定されていない場合は、ポート番号を追記します。
    -------------
    prop:_host = "val:localhost"
    -------------

    -------------
    prop:_host = "val:localhost:(ポート番号)"
    -------------

    例:
    -------------
    prop:_host = "val:localhost:3770"
    -------------

    補足:
    利用中のポート番号は、my.iniで確認することができます。
    my.iniは次のディレクトリーに配置されています。

    バージョン 2.5.0以降の場合:
    /(インストールディレクトリ)/mysql-5.0/etc/my.ini

    バージョン 2.1.3以前の場合:

    /(インストールディレクトリ)/mysql-4.1/etc/my.ini

    [mysqld]セクションのportに記述されたポート番号を確認します。

    例:
    -------------
    [mysqld]
    user = daemon
    skip-name-resolve
    port = 3770
    socket = /usr/local/cybozu/mysql-5.0/data/mysql.sock
    -------------


  3. バージョン 3.5.0へバージョンアップします。

 

【対応方法】

 

すでに現象が発生している場合は【回避方法】の手順を実施し、再度バージョンアップを実施してください。

 

補足:

バージョンアップ前の環境を再構築する必要はありません。

lwc.iniにポート番号を追記し、そのまま再度インストーラーを実行してください。

関連記事

関連ワード

350Attention